May I upgrade from 3.2.x to 4.1.x directly?

Answered Question
Mar 2nd, 2009
User Badges:

Hi:


I have 2 CSA SE 1111 appliances with 3.2.x versions.

In the Installation Guide for 4.1 version appears the appliances with 3.2.x versions can be upgrade to 4.1 directly but seeing another posts I saw I should firs upgrade them to 3.3.x.


By the way, I look for in many documents but i didn't find it, why there is 3 kinds of upgrades, Management, ACS Software and recovery ISO?.


Many thanks for your help

Correct Answer by Ivan Martinon about 8 years 4 months ago

Backups have to be restored on devices with the same version (exact match I believe) as the one that was used to save that backup. You can try to backup your 3.2.1 configuration and see if you can import it into a 3.2.3, however that is not a guarantee that it will work fine.

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (1 ratings)
Loading.
Ivan Martinon Mon, 03/02/2009 - 10:07
User Badges:
  • Cisco Employee,

Here is the information you need:


http://www.cisco.com/en/US/docs/net_mgmt/cisco_secure_access_control_server_for_windows/4.1/release/notes/RNacs41.html#wp171544


To upgrade the Solution Engine from an earlier release (3.2.1, 3.2.2, 3.2.3, 3.3.1, and 3.3.2), you must first upgrade to either release 3.3.3 and then upgrade to release 4.0.1 or 4.1 or upgrade to release 3.3.4 and then upgrade to release 4.1.


As for the files, for ACS appliance you need to download ACS upgrade package, which contains ACS and management software both have to be applied and first you need to apply the management software, I believe it is OS patches and stuff and ACS contains the actual ACS software, Recovery ISO only helps you to restore the appliance to the basics wiping out configuraiton and helps you with the password recovery

Francisco Del Cura Tue, 03/03/2009 - 00:52
User Badges:

Thanks for your reply.


As you said, I understand when I upgrade an ACS appliance I dont need to use the recovery ISO right?, the only I'd have to do is to apply the ACS and management software?


Another thing, if you apply the 3.2.3 recovery ISO to an appliance with 4.1.4 version, wouldn't need to apply the acs software and management software 3.2.3 version too or with the recovery is sufficient?.


Thanks

Ivan Martinon Tue, 03/03/2009 - 06:55
User Badges:
  • Cisco Employee,

When you apply the recovery ISO to an appliance with 4.1.4 you are moving that appliance both management and ACS version down to 3.2.3 since this completely wipes out the current OS and installs the one on the ISO.

Francisco Del Cura Tue, 03/03/2009 - 11:36
User Badges:

Ok, it occurs the same when upgrading an appliance?, I mean, I have an ACS with 3.2.1 and only the file ACS-SE333Quanta.iso, is it enough for upgrading it to 3.3.3 version?.


At last, If I do a backup from an appliance with 3.2.1 version will I could to do a restore from that file to another appliance with 3.2.3 or the version has to be identical?.


Very grateful

Correct Answer
Ivan Martinon Tue, 03/03/2009 - 11:44
User Badges:
  • Cisco Employee,

Backups have to be restored on devices with the same version (exact match I believe) as the one that was used to save that backup. You can try to backup your 3.2.1 configuration and see if you can import it into a 3.2.3, however that is not a guarantee that it will work fine.

Actions

This Discussion